curl --request GET \
--url https://api.lemlist.com/api/campaigns/{campaignId}/schedules/ \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.lemlist.com/api/campaigns/{campaignId}/schedules/"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.lemlist.com/api/campaigns/{campaignId}/schedules/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));require 'uri'
require 'net/http'
url = URI("https://api.lemlist.com/api/campaigns/{campaignId}/schedules/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Basic <encoded-value>'
response = http.request(request)
puts response.read_body<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.lemlist.com/api/campaigns/{campaignId}/schedules/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}[
{
"_id": "skd_dI6LDboHxORcW2quf",
"name": "Test 2",
"secondsToWait": 1200,
"timezone": "Atlantic/Reykjavik",
"start": "08:00",
"end": "18:00",
"weekdays": [
1,
2,
3,
4,
5
],
"teamId": "tea_HpxHgbqZR5p7jPodG",
"createdBy": "usr_gbY1wCFnSHq5ubnyG",
"createdAt": "2025-02-06T16:29:10.217Z"
},
{
"_id": "skd_shtm9OHLWbGkro94C",
"name": "Default schedule",
"secondsToWait": 1200,
"timezone": "Africa/Ceuta",
"start": "09:00",
"end": "18:00",
"weekdays": [
1,
2,
3,
4,
5
],
"teamId": "tea_HpxHgbqZR5p7jPodG",
"createdBy": "usr_z7biYanHn06hmOlXs",
"createdAt": "2025-02-06T15:36:01.531Z"
},
{
"_id": "skd_R90npZ8YWo0QqjO3u",
"name": "Default schedule",
"secondsToWait": 1200,
"timezone": "Europe/Paris",
"start": "09:00",
"end": "18:00",
"weekdays": [
1,
2,
3,
4,
5
],
"teamId": "tea_HpxHgbqZR5p7jPodG",
"createdBy": "usr_z7biYanHn06hmOlXs",
"createdAt": "2025-02-06T15:35:52.079Z"
}
]"Bad team""Campaign not found"Get Campaign Schedules
Retrieves all schedules associated with a specific campaign.
campaignId provided in the URL path, and it must belong to your team.Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
The unique identifier of the campaign
Response
Success
Unique schedule identifier
Schedule name
Seconds between sends
Schedule timezone (e.g., 'Europe/Paris')
Daily start time (HH:mm)
^([01]\d|2[0-3]):[0-5]\d$Daily end time (HH:mm)
^([01]\d|2[0-3]):[0-5]\d$Active weekdays (1=Monday, 7=Sunday)
1 <= x <= 7Whether the schedule is available as a template for other users
Unique identifier of the team that owns this schedule
Unique identifier of the user who created this schedule
Timestamp when the schedule was created
Timestamp when the schedule was deleted (only present if deleted)
Unique identifier of the user who deleted this schedule (only present if deleted)
Was this page helpful?